#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    int pom=0;
    for(int i=0; i<n-1; i++)
    {
        for(int j=i+1; j<n; j++)
        {
            if(a[i]>a[j])
            {
                pom=a[i];
                a[i]=a[j];
                a[j]=pom;
            }
        }
    }
    
    int i=0, jj=0, np=0, l=0, s=0;
    int broj[n];
    while(i<=n)
    {
        while(a[l]==a[jj])
        {
            np++;
            
            l++;
        }
        i++;
        jj=l+1;
        l=i;
       
        if(np>=k)
        {
            broj[s]=a[l-1];
            s++;
        }
        np=0;
    }
    cout<<s<<endl;
    for(int i=0; i<s; i++)
    {
        cout<<broj[i]<<" ";
    }
    return 0;
}